hpp-core: hpp::core::JointBoundValidationReport Class Reference

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
hpp::core::JointBoundValidationReport Class Reference
Validation of configurations and paths

report returned when a configuration is not within the bounds More...

`#include <hpp/core/joint-bound-validation.hh>`

Inheritance diagram for hpp::core::JointBoundValidationReport:
[legend]
Collaboration diagram for hpp::core::JointBoundValidationReport:
[legend]

## Public Member Functions
| JointBoundValidationReport (const JointConstPtr_t &joint, size_type rank, value_type lowerBound, value_type upperBound, value_type value)
virtual std::ostream & | print (std::ostream &os) const
| Print report in a stream.
Public Member Functions inherited from hpp::core::ValidationReport
virtual | ~ValidationReport ()

## Public Attributes
JointConstPtr_t | joint_
| Joint the configuration value is out of bounds.
size_type | rank_
| degree of freedom in the joint (usually 0)
value_type | lowerBound_
| lower bound
value_type | upperBound_
| upper bound
value_type | value_
| configuration value

## Detailed Description

report returned when a configuration is not within the bounds

## Constructor & Destructor Documentation

## ◆ JointBoundValidationReport()

hpp::core::JointBoundValidationReport::JointBoundValidationReport | ( | const JointConstPtr_t & | joint,
|  | size_type | rank,
|  | value_type | lowerBound,
|  | value_type | upperBound,
|  | value_type | value
| ) |  |
| inline

## Member Function Documentation

## ◆ print()

virtual std::ostream & hpp::core::JointBoundValidationReport::print | ( | std::ostream & | os | ) | const
| inlinevirtual

Print report in a stream.

Implements hpp::core::ValidationReport.

## Member Data Documentation

## ◆ joint_

JointConstPtr_t hpp::core::JointBoundValidationReport::joint_

Joint the configuration value is out of bounds.

## ◆ lowerBound_

value_type hpp::core::JointBoundValidationReport::lowerBound_

lower bound

## ◆ rank_

size_type hpp::core::JointBoundValidationReport::rank_

degree of freedom in the joint (usually 0)

## ◆ upperBound_

value_type hpp::core::JointBoundValidationReport::upperBound_

upper bound

## ◆ value_

value_type hpp::core::JointBoundValidationReport::value_

configuration value

The documentation for this class was generated from the following file:

- include/hpp/core/joint-bound-validation.hh